Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Issue starting Tomcat on Eclipse(Server starts but Eclipse keeps saying "starting" on Windows 7)
Issue starting Tomcat on Eclipse [message #1228943] Wed, 08 January 2014 06:47 Go to next message
Adriano Rossi is currently offline Adriano Rossi
Messages: 2
Registered: January 2014
Junior Member
I have a Eclipse 3.5.2 installation running a Tomcat 6.0.18.
Up to one month ago the installation was running on a Windows XP computer.
Since I changed the computer with a new one, that runs Windows 7, I get a singular behaviour on Tomcat Server startup: the server starts regularly and can be operated but Eclipse keeps saying "starting" on Servers view.
As a workaround I raised the start timeout. However the thing is quite naggy because the pending Start operation blocks sometimes the other ones such as save or rebuild and I am forced to stop the server to go ahead.
It smells something related to antivirus or Windows firewall but I am not able to quit these two services because of company policy.
Any hint?
Re: Issue starting Tomcat on Eclipse [message #1229142 is a reply to message #1228943] Wed, 08 January 2014 15:08 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin Dahyabhai
Messages: 2250
Registered: July 2009
Senior Member
Retry it with the latest Tomcat 6, or even 7? 6.0.18 is far from the latest maintenance release.

---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: Issue starting Tomcat on Eclipse [message #1229150 is a reply to message #1229142] Wed, 08 January 2014 15:26 Go to previous message
Adriano Rossi is currently offline Adriano Rossi
Messages: 2
Registered: January 2014
Junior Member
Already tried with a Tomcat 7 and Eclipse Juno. Same issue. Tried with a brand new workspace too. Same.
The only way I found to let it work is to run an Eclipse instance from inside Eclipse like when you test Eclipse native applications. A server run from there works whatever is the Eclipse and Tomcat version.
Tomorrow I download the most up to date versons of both and try again from scratch. Imho nothing is going to change.
However I must use java 1.5 because of compatibility issues with the target environment.

Edit Jan 9
Issue solved by downloading the current version of Eclipse:
Eclipse Java EE IDE for Web Developers.
Version: Kepler Service Release 1
Build id: 20130919-0819

Now it works regularly on Windows 7 both with Tomcat 6 and 7.
I'm still wondering why the older versions of Eclipse didn't work.

[Updated on: Thu, 09 January 2014 06:00]

Report message to a moderator

Previous Topic:PyDev Install to Eclipse on Mac
Next Topic:Re: CDT not recognizing IN and OUT keywords
Goto Forum:
  


Current Time: Sat Aug 23 01:46:42 EDT 2014

Powered by FUDForum. Page generated in 0.01947 seconds